import Link from "next/link"
import { ArrowLeft } from "lucide-react"
import { Button } from "@/components/ui/button"

export default function TermsOfService() {
  return (
    <main className="min-h-screen bg-background pt-16">
      <div className="container mx-auto px-4 py-16">
        <div className="mb-8">
          <Link href="/">
            <Button variant="ghost" className="button-hover-effect mb-4">
              <ArrowLeft className="mr-2 h-4 w-4" /> 返回首页
            </Button>
          </Link>
          <h1 className="text-4xl font-bold mb-2">服务条款</h1>
          <p className="text-muted-foreground">最后更新: 2025年4月19日</p>
        </div>

        <div className="prose prose-invert max-w-none">
          <p>
            欢迎访问 Simba Robotics
            网站。请仔细阅读以下条款和条件，因为它们适用于您对我们网站的访问和使用。通过访问或使用我们的网站，您同意受这些条款的约束。如果您不同意这些条款，请不要使用我们的网站。
          </p>

          <h2>使用许可</h2>
          <p>
            Simba Robotics
            授予您访问和个人使用本网站的有限许可，但不授予您下载（除缓存外）或修改网站或其任何部分的权利，除非获得我们的明确书面同意。此许可不包括：
          </p>
          <ul>
            <li>网站或其内容的商业使用</li>
            <li>网站内容的收集和使用</li>
            <li>对网站或其内容的任何衍生使用</li>
            <li>下载或复制账户信息</li>
            <li>使用数据挖掘、机器人或类似的数据收集和提取工具</li>
          </ul>
          <p>
            未经我们明确书面许可，您不得复制、复制、销售、转售、访问或以其他方式利用本网站或其任何部分用于任何商业目的。
          </p>

          <h2>知识产权</h2>
          <p>
            本网站及其全部内容、功能和设计元素，包括但不限于文本、图形、徽标、图标、图像、音频剪辑、下载、数据编译、软件和代码，均为
            Simba Robotics 或其内容提供商的财产，受中国和国际版权、商标、专利、商业秘密和其他知识产权法律的保护。
          </p>

          <h2>用户行为</h2>
          <p>您同意在使用我们的网站时：</p>
          <ul>
            <li>不会违反任何适用的法律或法规</li>
            <li>不会侵犯他人的权利</li>
            <li>不会干扰网站的正常运行</li>
            <li>不会尝试未经授权访问我们的系统</li>
            <li>不会引入病毒、特洛伊木马或其他有害材料</li>
          </ul>

          <h2>免责声明</h2>
          <p>
            本网站及其内容按"原样"和"可用"的基础提供，没有任何形式的保证，无论是明示的还是暗示的。Simba Robotics
            不保证网站将无错误或不间断运行，也不保证缺陷将被纠正，或者网站或提供它的服务器没有病毒或其他有害成分。
          </p>

          <h2>责任限制</h2>
          <p>
            在任何情况下，Simba Robotics
            及其管理人员、董事、员工或代理人都不对因使用或无法使用我们的网站或网站上的任何内容而导致的任何损害（包括但不限于直接、间接、附带、惩罚性和后果性损害）负责，无论是基于保证、合同、侵权还是任何其他法律理论，无论我们是否被告知此类损害的可能性。
          </p>

          <h2>链接到第三方网站</h2>
          <p>
            我们的网站可能包含指向第三方网站的链接，这些网站不由 Simba Robotics
            拥有或控制。我们对这些网站的内容、隐私政策或做法不负责任，也不对其进行审查。您应该了解，当您离开我们的网站时，我们的条款和政策不再适用。
          </p>

          <h2>条款变更</h2>
          <p>
            我们保留随时修改这些条款的权利。修改后的条款将在发布后立即生效。您继续使用网站将被视为接受修改后的条款。
          </p>

          <h2>适用法律</h2>
          <p>这些条款和您与 Simba Robotics 之间的关系将受中华人民共和国法律管辖，不考虑其冲突法规定。</p>

          <h2>联系我们</h2>
          <p>如果您对这些服务条款有任何疑问，请通过以下方式联系我们：</p>
          <p>
            <strong>电子邮件</strong>：contact@simba-robotics.com
            <br />
            <strong>地址</strong>：602 实验室, 电子工程学院, 黑龙江大学。
          </p>
        </div>
      </div>
    </main>
  )
}
