import { Shield, Gauge, Zap, Cpu } from "lucide-react"
import React from "react"

export const robots = [
  {
    id: "sentinel-mk-iii",
    name: "Sentinel MK-III",
    displayName: "初号步兵",
    category: "INFANTRY",
    year: "2023-2024",
    image: "/placeholder.svg?height=400&width=600",
    description:
      "我们的旗舰防御机器人，配备先进装甲板和360°旋转炮塔系统。Sentinel MK-III 是我们最新一代的步兵机器人，专为RoboMaster比赛设计，具有出色的防御能力和火力输出。",
    shortDescription:
      "Our flagship defense robot, equipped with advanced armor plating and a 360° rotating turret system.",
    specs: [
      { icon: React.createElement(Shield, { className: "h-8 w-8 text-primary" }), name: "装甲", value: "复合装甲板" },
      { icon: React.createElement(Gauge, { className: "h-8 w-8 text-primary" }), name: "最大速度", value: "3m/s" },
      { icon: React.createElement(Zap, { className: "h-8 w-8 text-primary" }), name: "电池续航", value: "30分钟" },
      { icon: React.createElement(Cpu, { className: "h-8 w-8 text-primary" }), name: "控制系统", value: "STM32F4" },
    ],
    simpleSpecs: ["Weight: 15kg", "Max Speed: 3m/s", "Battery Life: 30min", "Weapon: Launcher"],
    features: [
      "高精度云台系统，实现毫秒级目标锁定",
      "模块化设计，便于快速维修和更换部件",
      "先进的散热系统，确保长时间作战能力",
      "自主导航和目标识别能力",
    ],
    achievements: ["区域赛最佳设计奖", "全国赛技术挑战赛亚军"],
    gallery: [
      "/placeholder.svg?height=300&width=400",
      "/placeholder.svg?height=300&width=400",
      "/placeholder.svg?height=300&width=400",
    ],
    team: [
      { name: "彭戈", role: "机械设计" },
      { name: "陈卓文", role: "电控系统" },
      { name: "黄瑞", role: "视觉算法" },
    ],
  },
  {
    id: "striker-x2",
    name: "Striker X2",
    displayName: "初号英雄",
    category: "HERO",
    year: "2023-2024",
    image: "/placeholder.svg?height=400&width=600",
    description:
      "高机动性攻击单元，设计用于快速交战和战略定位。Striker X2 是我们的英雄机器人，具有更高的火力和机动性，能够在比赛中担任进攻核心的角色。",
    shortDescription: "High-mobility attack unit designed for rapid engagement and strategic positioning.",
    specs: [
      { icon: React.createElement(Shield, { className: "h-8 w-8 text-primary" }), name: "装甲", value: "轻量化装甲" },
      { icon: React.createElement(Gauge, { className: "h-8 w-8 text-primary" }), name: "最大速度", value: "4.5m/s" },
      { icon: React.createElement(Zap, { className: "h-8 w-8 text-primary" }), name: "电池续航", value: "25分钟" },
      { icon: React.createElement(Cpu, { className: "h-8 w-8 text-primary" }), name: "控制系统", value: "STM32H7" },
    ],
    simpleSpecs: ["Weight: 12kg", "Max Speed: 4.5m/s", "Battery Life: 25min", "Weapon: Dual Launcher System"],
    features: [
      "双发射机构，提供更高的火力输出",
      "高性能底盘，实现快速机动和精确控制",
      "先进的弹道计算系统，提高射击精度",
      "轻量化设计，提升整体性能",
    ],
    achievements: ["区域赛最佳性能奖"],
    gallery: ["/placeholder.svg?height=300&width=400", "/placeholder.svg?height=300&width=400"],
    team: [
      { name: "闫芃森", role: "机械设计" },
      { name: "陈卓文", role: "电控系统" },
      { name: "韩翔宇", role: "视觉算法" },
    ],
  },
  {
    id: "sentinel-mk-ii",
    name: "Sentinel MK-II",
    displayName: "二号步兵",
    category: "INFANTRY",
    year: "2022-2023",
    image: "/placeholder.svg?height=400&width=600",
    description:
      "Sentinel系列的第二代，增强了火力和防御能力。MK-II 在前代基础上进行了全面升级，特别是在控制系统和火力输出方面有显著提升。",
    shortDescription: "Second generation of the Sentinel series with enhanced firepower and defensive capabilities.",
    specs: [
      { icon: React.createElement(Shield, { className: "h-8 w-8 text-primary" }), name: "装甲", value: "标准装甲板" },
      { icon: React.createElement(Gauge, { className: "h-8 w-8 text-primary" }), name: "最大速度", value: "2.8m/s" },
      { icon: React.createElement(Zap, { className: "h-8 w-8 text-primary" }), name: "电池续航", value: "28分钟" },
      { icon: React.createElement(Cpu, { className: "h-8 w-8 text-primary" }), name: "控制系统", value: "STM32F4" },
    ],
    simpleSpecs: ["Weight: 14kg", "Max Speed: 2.8m/s", "Battery Life: 28min", "Weapon: Standard Launcher"],
    features: ["改进的云台稳定系统", "优化的弹道计算算法", "增强的装甲防护", "更高效的功率管理系统"],
    achievements: ["全国赛最佳工程奖", "区域赛冠军"],
    gallery: ["/placeholder.svg?height=300&width=400", "/placeholder.svg?height=300&width=400"],
    team: [
      { name: "林小明", role: "机械设计" },
      { name: "陈志强", role: "电控系统" },
      { name: "黄海", role: "视觉算法" },
    ],
  },
  {
    id: "scout-drone-alpha",
    name: "Scout Drone Alpha",
    displayName: "零号哨兵",
    category: "AERIAL",
    year: "2022-2023",
    image: "/placeholder.svg?height=400&width=600",
    description:
      "我们的第一款侦察无人机，提供战场情报和有限的攻击能力。Scout Drone Alpha 是我们首次尝试空中单元，为地面机器人提供战场态势感知。",
    shortDescription:
      "Lightweight reconnaissance drone providing battlefield intelligence and limited attack capabilities.",
    specs: [
      { icon: React.createElement(Shield, { className: "h-8 w-8 text-primary" }), name: "装甲", value: "最小化装甲" },
      { icon: React.createElement(Gauge, { className: "h-8 w-8 text-primary" }), name: "最大速度", value: "10m/s" },
      { icon: React.createElement(Zap, { className: "h-8 w-8 text-primary" }), name: "电池续航", value: "15分钟" },
      { icon: React.createElement(Cpu, { className: "h-8 w-8 text-primary" }), name: "控制系统", value: "Pixhawk" },
    ],
    simpleSpecs: ["Weight: 2kg", "Max Speed: 10m/s", "Flight Time: 15min", "Sensors: 4K Camera, Infrared"],
    features: [
      "高清摄像头，提供实时战场画面",
      "轻量化设计，提高机动性和续航时间",
      "自主避障系统",
      "与地面单元的数据链路系统",
    ],
    achievements: ["创新设计奖"],
    gallery: ["/placeholder.svg?height=300&width=400"],
    team: [
      { name: "林小明", role: "机械设计" },
      { name: "黄海", role: "视觉算法" },
    ],
  },
  {
    id: "sentinel-mk-i",
    name: "Sentinel MK-I",
    displayName: "零号工程",
    category: "ENGINEER",
    year: "2021-2022",
    image: "/placeholder.svg?height=400&width=600",
    description:
      "Sentinel系列的初代机型，为后续发展奠定了基础。作为我们的第一代步兵机器人，MK-I 虽然在技术上相对简单，但建立了团队的基础设计理念。",
    shortDescription: "Specialized support unit capable of on-field repairs and resource management during matches.",
    specs: [
      { icon: React.createElement(Shield, { className: "h-8 w-8 text-primary" }), name: "装甲", value: "基础装甲板" },
      { icon: React.createElement(Gauge, { className: "h-8 w-8 text-primary" }), name: "最大速度", value: "2.5m/s" },
      { icon: React.createElement(Zap, { className: "h-8 w-8 text-primary" }), name: "电池续航", value: "25分钟" },
      { icon: React.createElement(Cpu, { className: "h-8 w-8 text-primary" }), name: "控制系统", value: "STM32F1" },
    ],
    simpleSpecs: ["Weight: 18kg", "Max Speed: 2m/s", "Battery Life: 40min", "Tools: Mechanical Arm, Repair Module"],
    features: ["基础云台系统", "手动控制为主，辅助自动化功能", "模块化底盘设计", "简单的视觉识别系统"],
    achievements: ["区域赛最佳新秀奖"],
    gallery: ["/placeholder.svg?height=300&width=400"],
    team: [
      { name: "王建国", role: "视觉算法" },
      { name: "李明", role: "机械设计" },
      { name: "张伟", role: "电控系统" },
    ],
  },
]

// 按年份分组的机器人数据，用于历史页面
export const robotsByYear = [
  {
    year: "2023-2024",
    models: robots.filter((robot) => robot.year === "2023-2024"),
  },
  {
    year: "2022-2023",
    models: robots.filter((robot) => robot.year === "2022-2023"),
  },
  {
    year: "2021-2022",
    models: robots.filter((robot) => robot.year === "2021-2022"),
  },
]

// 获取单个机器人数据
export function getRobotById(id: string) {
  return robots.find((robot) => robot.id === id) || null
}
